Subject: bug#51733: 27.1; Detect impossible email addresses better

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Jan 2022 10:25:42 +0100

Eli Zaretskii <[email-masked]> writes:

> Does textsec-email-suspicious-p expect non-ASCII email addresses to be
> RFC 2047 encoded?

Yes.  

> If so, it will not work in the Rmail display buffers, where email
> addresses are shown decoded.  For non-ASCII names the function signals
> an error.

Rmail does have access to the encoded header, so it'll just have to call
the textsec function before it decodes it (and displays it).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no